%define __vflibver	24.0.4
%ifos darwin
%define __soext dylib
%define __cp_ar cp -pPR
%define __etcdir        /private/etc
%define __defattr 	%defattr(-, root, wheel)
Provides: libVFlib.2.dylib
%else
%define __soext so
%define __cp_ar cp -ar
%define __etcdir        /etc
%define __defattr 	%defattr(-, root, root)
Provides: libVFlib.so.2
%endif

Name:		VFlib2
Version:	2.25.6
Release: 8c
License:	GPL
URL:		http://TypeHack.aial.hiroshima-u.ac.jp/VFlib/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPreReq:	freetype-devel

## re-compressed bzip2 instead of gzip
# Source:	ftp://TypeHack.aial.hiroshima-u.ac.jp/pub/TypeHack/%{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2
Source1:	vfontcap-ja
Source2:	vfontcap-en
Patch0:		vfontcap-jrpm.patch.bz2
Patch1:		VFlib2-2.25.1-Chinese.patch.bz2
Patch2:		VFlib2-2.25.1-ia64.patch.bz2
Patch3:		VFlib2-2.25.1-gothic.patch
Patch4:		VFlib2-2.25.1-i18ncfg.patch
Patch5:		VFlib2-2.25.6-cflagpath.patch
Patch6:		localhost:/VFlib2-2.25.6-macosx.patch
Patch7:		localhost:/VFlib2-2.25.6-kochi.patch


Summary:	A vector font library used for Japanese document processing.
Group:		System Environment/Libraries
%ifnos darwin
Requires:	XFree86-truetype-fonts >= 4.2.0
%endif
Obsoletes:	VFlib

%description
VFlib is a font library written in C which converts vector fonts to
bitmap data. Functions provided in VFlib include rotating, shrinking,
and changing the slant of characters. VFlib provides a unified API for
all supported font formats; any software using VFlib can use any of
the supported font file formats immediately. VFlib is used by
localized software for Japanese document processing that requires
Kanji fonts (for example xdvi, dvi2ps, and Ghostscript).


%package devel
Summary:	The header files and static library for VFlib v2.25.6.
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	VFlib-devel

%description devel
This package contains the static libraries and header files needed for
developing applications based on the VFlib font library.


%package VFjfm
Summary:	Extra files and scripts for use with the VFlib library.
Group:		Applications/Publishing
Requires:	%{name}
Obsoletes:	VFlib-VFjfm

%description VFjfm
The VFlib2-VFjfm package provides JFM files (TFM files for ASCII
Japanese TeX) and scripts to generate JFMs and other files, so that
you can use DynaFont fonts with TeX and Ghostscript. These files are
for use with the VFlib font library.


%package conf-ja
Summary:	Japanese vfontcap for use with the VFlib library.
Group:		System Environment/Base
Requires:	%{name}
Requires:	ttfonts-ja

%description conf-ja
This package contains vfontcap for Japanese. If you need to use
Japanese with VFlib2, you should install this package.


%prep

%setup -q
%patch0 -p1 -b .jrpm
%patch1 -p1 -b .zh
%patch2 -p1 -b .ia64
%patch3 -p1 -b .gothic
%patch4 -p1 -b .i18n
%patch5 -p1 -b .cflags

[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__etcdir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{_prefix}/include
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/vfontcap.ja
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/vfontcap
%ifos darwin
%patch6 -p1 -b .macosx
%patch7 -p1 -b .kochi
%endif
cp $RPM_BUILD_DIR/%{name}-%{version}/configure $RPM_BUILD_DIR/%{name}-%{version}/configure.orig
sed -e "s/^\(vflib2_version='\).*\('\)/\1%{version}\2/" $RPM_BUILD_DIR/%{name}-%{version}/configure.orig > $RPM_BUILD_DIR/%{name}-%{version}/configure

cp /usr/share/libtool/{config.sub,config.guess,ltmain.sh} .

find $RPM_BUILD_DIR/%{name}-%{version} -name CVS -type d | sort | xargs rm -fr

%build
./configure --prefix=%{_prefix} --with-x --with-freetype --enable-shared --enable-static --with-freetype-includedir=%{_prefix}/include/freetype
mv libtool libtool.ORIG
ln -s /usr/bin/glibtool libtool
make CFLAGS="$RPM_OPT_FLAGS -Wall -ansi -fno-common"


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
%{__mkdir_p} $RPM_BUILD_ROOT%{__etcdir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/VFlib/VFjfm

%ifos darwin
(cd $RPM_BUILD_ROOT%{_libdir} ; ln -sf libVFlib2.%{__vflibver}.%{__soext} libVFlib.2.%{__vflibver}.%{__soext})
ln -fs libVFlib2.%{__vflibver}.%{__soext} $RPM_BUILD_ROOT%{_libdir}/libVFlib.2.%{__soext}
ln -fs libVFlib.2.%{__soext} $RPM_BUILD_ROOT%{_libdir}/libVFlib.%{__soext}
%else
(cd $RPM_BUILD_ROOT%{_libdir} ; ln -sf libVFlib2.%{__soext}.%{__vflibver} libVFlib.%{__soext}.2.%{__vflibver})
ln -fs libVFlib2.%{__soext}.%{__vflibver} $RPM_BUILD_ROOT%{_libdir}/libVFlib.%{__soext}.2
ln -fs libVFlib.%{__soext}.2 $RPM_BUILD_ROOT%{_libdir}/libVFlib.%{__soext}
%endif
(cd $RPM_BUILD_ROOT%{_libdir} ; ln -sf libVFlib2.a libVFlib.a)

%ifos darwin
(cd $RPM_BUILD_ROOT%{__etcdir} ; ln -fs ../..%{_prefix}/share/VFlib/%{version}/vfontcap .)
(cd $RPM_BUILD_ROOT%{__etcdir} ; ln -fs ../..%{_prefix}share/VFlib/%{version}/vfontcap.ja .)
%else
(cd $RPM_BUILD_ROOT%{__etcdir} ; ln -fs ..%{_prefix}/share/VFlib/%{version}/vfontcap .)
(cd $RPM_BUILD_ROOT%{__etcdir} ; ln -fs ..%{_prefix}share/VFlib/%{version}/vfontcap.ja .)
%endif

install -c -m 0755 tools/.libs/disol  $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755 tools/.libs/fmtest $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755 tools/.libs/kban   $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755 tools/.libs/vfperf $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755 tools/.libs/vftest $RPM_BUILD_ROOT%{_bindir}

%{__cp_ar} jTeX $RPM_BUILD_ROOT%{_datadir}/VFlib/VFjfm
%{__cp_ar} dynafont $RPM_BUILD_ROOT%{_datadir}/VFlib/VFjfm

chmod 644  $RPM_BUILD_ROOT%{_datadir}/VFlib/VFjfm/jTeX/jfmsrc/MakeSlantTFM


%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%{__defattr}
%doc doc INSTALL COPYING COPYING.LIB DISTRIB.txt README.txt README.txt.JP_EUC CHANGES
%dir %{_datadir}/VFlib
%dir %{_datadir}/VFlib/%{version}
%config(noreplace) %{__etcdir}/vfontcap
%{_bindir}/ttindex
%{_bindir}/bdfindex
%{_bindir}/fwindex
%{_bindir}/disol
%{_bindir}/fmtest
%{_bindir}/kban
%{_bindir}/ktest
%{_bindir}/vfperf
%{_bindir}/vftest
%ifos darwin
%{_prefix}/lib/libVFlib2.%{__vflibver}.%{__soext}
%{_prefix}/lib/libVFlib2.24.%{__soext}
%{_prefix}/lib/libVFlib.2.%{__vflibver}.%{__soext}
%{_prefix}/lib/libVFlib.2.%{__soext}
%else
%{_prefix}/lib/libVFlib2.%{__soext}.*
%endif
%{_datadir}/VFlib/%{version}/vfontcap
%{_datadir}/VFlib/%{version}/vfontcap.bdf
%{_datadir}/VFlib/%{version}/vfontcap.comp2

%files devel
%{__defattr}
%{_bindir}/VFlib2-config
%{_includedir}/*.h
%{_libdir}/libVFlib2.%{__soext}
%{_libdir}/libVFlib.%{__soext}
%{_libdir}/lib*.la
%{_libdir}/lib*.a

%files VFjfm
%{__defattr}
%dir %{_datadir}/VFlib/VFjfm
%{_datadir}/VFlib/VFjfm/*

%files conf-ja
%{__defattr}
%dir %{_datadir}/VFlib
%dir %{_datadir}/VFlib/%{version}
%config(noreplace) %{__etcdir}/vfontcap.ja
%{_datadir}/VFlib/%{version}/vfontcap.ja


%changelog
* Sun Oct 13 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2.25.6-8c: rebuilt on MacOS X Release 10.2
- modified vfontcap to use Kochi for Japanese

* Sat Oct 12 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2.25.6-8b: rebuilt on MacOS X Release 10.2
- elimiated the temporary path from install_name
- now with a full path install_name

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Replace ttfonts depends with dependency on XFree86-truetype-fonts
- Modify the vfontcap-en to match

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Akira TAGOH <tagoh@redhat.com> 2.25.6-6
- fixed stripped binaries.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.25.6-4
- Build against new environment.

* Tue Feb 12 2002 Akira TAGOH <tagoh@redhat.com> 2.25.6-3
- Fixed no need default include path. (Bug#59496)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 28 2001 Akira TAGOH <tagoh@redhat.com> 2.25.6-1
- New upstream release.
- s/Copyright/License/
- use %%{version} instead of %%{ver}
- Add VFlib2-conf-ja package. separated vfontcap.ja because
  it actually depends ttfonts-ja but for the environment without
  Japanese, basically that big fonts don't need.
- Replaced the appropriate rpmmacros.

* Mon Nov 12 2001 Akira TAGOH <tagoh@redhat.com> 2.25.1-22
- Added ttfonts to requires field. re-fixed. (Bug#52489)
  default vfontcap needs TTF which ttfonts includes.

* Thu Nov  8 2001 Akira TAGOH <tagoh@redhat.com> 2.25.1-21
- Fixed how to find default vfontcap for every locale (Bug#52489)

* Tue Sep 04 2001 Yukihiro Nakai <ynakai@redhat.com> 2.25-1-20
- Added minsl fonts entry to vfontcap-ja to avoid fatal error.

* Wed Jul 25 2001 Akira TAGOH <tagoh@redhat.com> 2.25.1-19
- Added BuildPreReq tag for freetype-devel (Bug#49830).

* Tue Jul 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Resource update for ghostscript Japanization

* Fri Jul 20 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add lang-dependent config search patch
- Add i18n resources

* Thu Jul 19 2001 Tim Powers <timp@redhat.com>
- removed requires on xtt-fonts

* Tue Jul 17 2001 Karsten Hopp <karsten@redhat.de>
- own /usr/share/VFlib

* Mon Jul 16 2001 Karsten Hopp <karsten@redhat.de>
- fix includepath for freetype

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- require new xtt-fonts which has new font locations

* Fri Mar  9 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed specfile.

* Wed Feb 28 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed the dependency problem.

* Tue Feb 27 2001 Akira TAGOH <tagoh@redhat.com>
- 2.25.1-[89]
- Fixed some rpmlint problem.

* Tue Feb 21 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed goth entry in vfontcap.
  watanabe-mincho-ttf -> wadalab-gothic-ttf
- Fixed bzip2 extract.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to prepare porting to new archs

* Sun Jan 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- bzip2

* Tue Jan 23 2001 Adrian Havill <havill@redhat.com>
- removed backup file artifacts

* Thu Dec 28 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Chinese patch
- Add IA64 configure fix patch from Kitame Takuo.
- Rebuild for 7.1

* Thu Mar 16 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new freetype libraries

* Sat Mar  4 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Thu Jan 20 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- built against LinuxPPC-1999
- version up to 2.25.1

* Wed Jan 05 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against freetype 1.3.1
- changed Group: Libraries -> System Environment/Libraries (VFlib2)
- changed Group: Applications/Publishing/TeX -> Applications/Publishing (VFlib2VFjfm)

* Sun Jun 20 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 7th Release for i386 (glibc2.1)
- Original Packager: Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 7jrpm
- changed ltconfig.JRPM.patch

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 6jrpm
- added %defattr(-,root,root)

* Sat Jun 6 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 5jrpm
- fixed about linking
- added Provides: libVFlib.so.2

* Mon Apr 19 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 4jrpm
- small fixed

* Sat Apr 17 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 3jrpm
- fixed vfontcap
- deleted Provides: libVFlib.so.2

* Sat Feb 20 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 2
- make link (/usr/share/VFlib/2.24.2/vfontcap ->  /etc/vfontcap)

* Fri Feb 18 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 1

* Wed Jan 13 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 1
- vfontcap  PATH  ǥե(/usr/share/VFlib/2.24.1/vfontcap)
- ǥեȥեȤ xtt-fonts ѥåΤΤ

* Thu Dec 8 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 0
- changed URL:
- deleted Source1: install-sh
- deleted Source2: config.sub
   ȼ configure ץ¿ѹ
- %doc 
	ReleaseNote -> CHANGES

* Wed Sep 16 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.4
- freetype Ȥ߹ޤƤؤ󤫤ä :P

* Mon Sep  9 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.2

- ѹ
 /usr/local -> /usr 
 ¾

- ΤΥХ
 vfontcap ΥǥեȥեȥѥäƤʤ

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- VFlib  Group:  Libraries ѹ
- VFlib-devel  Group:  Development/Libraries ѹ
- VFlib-VFjfm  Group:  Applications/Publishing/TeX ѹ

* Mon Dec 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.22pl10
- Release: 1 
- removed VFlib-2.22-sparc.patch
- moved /usr/local/lib/libVFlib.so to VFlib-devel

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 6
- added Distribution: and Vendor: tags

* Wed Oct 23 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 5
- VFlib-2.22-shared.patch  VFlib-2.22-jrpm.patch ѹ
- vfontcap ΥǥեȤѹѥå
- Group: ѹ
- /usr/src/VFjfm  /usr/local/src/VFjfm 
- strip ǥå:^)

* Wed Aug 18 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 4
- added script for /etc/ld.so.conf at %post 

* Wed Jun 30 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3
- changed Some tools in tools/* linked -lVFlib dynamically.
- added ln -fs libVFlib.so.2 libVFlib.so

* Wed Jun 26 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2
- added Patch2 for sparc
	in fman.c
	Commented-out free(FM_Table[port].path); 
